<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class City extends Model
{
    protected $guarded = [];

    public function province()
    {
        return $this->belongsTo(Province::class);
    }

    public function routes()
    {
        return $this->hasMany(Route::class);
    }

    public function operators()
    {
        return $this->hasMany(Operator::class);
    }

    public function destinations()
    {
        return $this->hasMany(Destination::class);
    }

    public function froms()
    {
        return $this->hasMany(From::class);
    }
}
