<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Seat extends Model
{
    protected $guarded = [];

    public function unit()
    {
        return $this->belongsTo(Unit::class);
    }

    public function routes()
    {
        return $this->hasMany(Route::class);
    }

    public function getSeatColorAttribute(): string
    {
        return match($this->status) {
            'available' => '#4ade80',
            'booked' => '#ef4444',
            'reserved' => '#f59e0b',
            'damaged' => '#64748b',
            default => '#4ade80'
        };
    }
}
