<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Unit extends Model
{
    use HasFactory;

    protected $guarded = [];

    public function operator()
    {
        return $this->belongsTo(Operator::class);
    }

    public function driver()
    {
        return $this->belongsTo(Driver::class);
    }

    public function category()
    {
        return $this->belongsTo(Category::class);
    }

    public function facilities()
    {
        return $this->belongsToMany(Facility::class, 'unit_facility', 'unit_id', 'facility_id');
    }

    public function destinations()
    {
        return $this->hasMany(Destination::class);
    }

    public function froms()
    {
        return $this->hasMany(From::class);
    }
}
